##### GENERAL STUFF #####
%define name	lincity-ng
%define version	1.1.2
%define release	%mkrel 1
%define summary	Lincity - A City Simulation Game

Name:		%{name}
Summary:	%{summary}
Version:	%{version}
Release:	%{release}
License:	GPL
URL:		http://lincity-ng.berlios.de/
Group:		Games/Strategy
Source0:	%{name}-%{version}.tar.bz2
BuildRequires:	desktop-file-utils ImageMagick
BuildRequires:	jam physfs-devel mesagl-devel libxml2-devel
BuildRequires:	SDL_image-devel SDL_ttf-devel SDL_mixer-devel SDL_gfx-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot


##### DESCRIPTION #####
%description
Lincity is a city simulation game. Build your city up from a primitive village
to an advanced civilization.  Build a sustainable economy, or build rockets to
escape from a pollution ridden and resource starved planet. 

LinCity-NG is a polished and improved version of the classic LinCity game with
a new iso-3D graphics engine, with a completely redone and modern GUI.

The game uses OpenGL for graphics acceleration.


##### PREP #####
%prep
%setup -q


##### BUILD #####
%build
%configure --bindir=%{_gamesbindir} --datadir=%{_gamesdatadir}
jam


##### INSTALL #####
%install
rm -rf %{buildroot}

DESTDIR=%{buildroot} jam install

# correct install-path of Icon:
mkdir -p %{buildroot}%{_datadir}/pixmaps
mv %{buildroot}%{_gamesdatadir}/pixmaps/* %{buildroot}%{_datadir}/pixmaps

# Icons for rpmlint:
mkdir -p %{buildroot}/{%{_liconsdir},%{_miconsdir},%{_iconsdir}}
convert -scale 16x16 data/%{name}.png %{buildroot}%{_liconsdir}/%{name}.png
convert -scale 32x32 data/%{name}.png %{buildroot}%{_iconsdir}/%{name}.png
convert -scale 48x48 data/%{name}.png %{buildroot}%{_miconsdir}/%{name}.png

rm -f %{buildroot}%{_datadir}/applications/%{name}.desktop
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Type=Application
Version=1.0
Encoding=UTF-8
Name=Lincity-NG
GenericName=City Simulation Game
GenericName[de]=Stadtsimulationsspiel
Comment=Plan and Build a city and take care of transport, economics, electricity and others.
Icon=lincity-ng
Exec=lincity-ng
Terminal=false
StartupNotify=false
Categories=Game;Simulation;
EOF

rm -f %{buildroot}%{_gamesdatadir}/applications/%{name}.desktop
mkdir -p %{buildroot}%{_gamesdatadir}/applications
cat > %{buildroot}%{_gamesdatadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Type=Application
Version=1.0
Encoding=UTF-8
Name=Lincity-NG
GenericName=City Simulation Game
GenericName[de]=Stadtsimulationsspiel
Comment=Plan and Build a city and take care of transport, economics, electricity and others.
Icon=lincity-ng
Exec=lincity-ng
Terminal=false
StartupNotify=false
Categories=Game;Simulation;
EOF

# *.desktop-file modification (XDG-Menu):
mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor="" \
  --remove-category="Simulation" \
  --add-category="Game" \
  --add-category="StrategyGame" \
  --add-category="X-MandrivaLinux-MoreApplications-Games-Strategy" \
  --delete-original \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_gamesdatadir}/applications/*

# Delete doc's (will be copied in "FILES"-section):
rm -rf %{buildroot}%{_gamesdatadir}/doc


%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %{buildroot}


##### FILE LIST #####
%files
%defattr(-,root,root)

%doc COPYING* README RELNOTES TODO
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/*


##### CHANGELOG #####
%changelog
* Sun Dec 16 2007 Oliver Burger <rpm@mandrivauser.de> 1.1.2-1mud2008.0
- Rebuild for MUde
- Thanks to MadMax

* Sun Dec 16 2007 MaxiPunkt <email@domain.de> 1.1.2-1max
- First rebuilt for Mandriva with cleaned SPEC
